ru.bitel.bgbilling.modules.drwebn.server.bean

## Class DrwebAgentDAO

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<DrwebAgent>
      - - ru.bitel.bgbilling.modules.drwebn.server.bean.DrwebAgentDAO

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class DrwebAgentDAO
      extends ru.bitel.common.dao.AbstractIdDao<DrwebAgent>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `DrwebAgentDAO.AgentDayItem`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrwebAgentDAO(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DrwebAgentDAO.AgentDayItem>` | `getActualAgent(java.util.Calendar day)`
    `int` | `getActualAgentCount(int cid)`
    `protected int` | `getAgentCount(int cid)`
    `java.util.List<DrwebAgent>` | `getAgentListAll()`
    `java.util.List<DrwebAgent>` | `getAgentListByCid(int cid)`
    `protected DrwebAgent` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<DrwebAgentStatus>` | `getStatusList(int agentId)`
    `protected void` | `newAgent(DrwebAgent agent)`
    `protected void` | `updateAgentState(int id, int status)` Устанавливает у агента текущий статус с сегодняшнего дня
    `protected void` | `updateImpl(DrwebAgent agent)`
    `void` | `updateStatus(DrwebAgentStatus status, int userId, boolean rewrite)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrwebAgentDAO

          public DrwebAgentDAO(java.sql.Connection con,
                               int mid)

  - ### Method Detail

    - #### getFromRS

          protected DrwebAgent getFromRS(java.sql.ResultSet rs)
                                  throws java.sql.SQLException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<DrwebAgent>`
      Throws:
        `java.sql.SQLException`

    - #### newAgent

          protected void newAgent(DrwebAgent agent)
                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateAgentState

          protected void updateAgentState(int id,
                                          int status)
                                   throws ru.bitel.bgbilling.common.BGException

      Устанавливает у агента текущий статус с сегодняшнего дня
      Parameters:
        `status` - - статус агента
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(DrwebAgent agent)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<DrwebAgent>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getAgentListByCid

          public java.util.List<DrwebAgent> getAgentListByCid(int cid)
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAgentListAll

          public java.util.List<DrwebAgent> getAgentListAll()
                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAgentCount

          protected int getAgentCount(int cid)
                               throws ru.bitel.bgbilling.common.BGException,
                                      java.sql.SQLException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getActualAgentCount

          public int getActualAgentCount(int cid)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getStatusList

          public java.util.List<DrwebAgentStatus> getStatusList(int agentId)
                                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### updateStatus

          public void updateStatus(DrwebAgentStatus status,
                                   int userId,
                                   boolean rewrite)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getActualAgent

          public java.util.List<DrwebAgentDAO.AgentDayItem> getActualAgent(java.util.Calendar day)
                                                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`